package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.client.bean.SearchData;
import com.diagbot.util.BeanUtil;
import org.springframework.stereotype.Component;

/**
 * @Description:入参拼装
 * @Author:zhaops
 * @time: 2019/12/6 10:02
 */
@Component
public class AssembleFacade {
    /**
     * 拼装数据
     *
     * @param searchVO
     * @return
     */
    public SearchData assembleData(SearchVO searchVO) {
        SearchData searchData = new SearchData();
        BeanUtil.copyProperties(searchVO, searchData);
        switch (searchVO.getSex()) {
            case 1:
                searchData.setSex("M");
                break;
            case 2:
                searchData.setSex("F");
                break;
            default:
                searchData.setSex("A");
                break;
        }
        return searchData;
    }
}