package com.diagbot.client.hystrix;

import com.diagbot.client.MrqcServiceClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: 病历质控远程调用客户端（请求失败熔断）
 * @author: gaodm
 * @time: 2019/12/23 9:40
 */
@Component
@Slf4j
public class MrqcServiceHystrix implements MrqcServiceClient {

    @Override
    public String demo(String authorization, String type, String username, String password) {
        log.error("【hystrix】调用{}异常", "getToken");
        return null;
    }
}
